IRCD(8)

NAME
ircd - The Internet Relay Chat Program Server

SYNOPSIS

ircd

DESCRIPTION

ircd is the server (daemon) program for the Internet Relay Chat Program. The ircd is a server in that its function is to "serve" the client program irc(1) with messages and commands. All commands and user messages are passed directly to the ircd for processing and relaying to other ircd sites.

OPTIONS

--configfile | -f filename
    Specifies an alternate configuration file to be used. This setting overrides the default configuration file ircd.conf. This file is used for both reading from and writing to while ircd is running.

--dirpath | -d path
    Specifies an alternate directory path where the ircd will search for its configuration files.

--version | -v
    Makes ircd print its version, and exit.

--help | -h
    Makes ircd show a short help information.

--debuglevel | -x number
    Specifies the debug level the ircd will start in. If not given, the rcd will not run in debugmode. This option does not change the effect of the /set command in an irc session

--logging | -l
    Tells the ircd to activate the logging facilities for events that have less priority

--webconfig | -w
    Sets the ircd in web-configuration mode, modules are not loaded, the ircd cannot be used to chat, only the web interface is activated to create a working server config file. This mode requires the following two options to run, otherwise, the ircd will exit.

--webconfig-bind | -b  address
    Specifies the address the httpd will bind to.

--webconfig-port | -p  portnumber
    Specifies the port the httpd will listen on.

--foreground | -z
    Makes the ircd run in foreground mode, it does not get daemonized.

--root | -r
    Makes the ircd run as the user root

USAGE
If you plan to connect your ircd server to an existing Irc-Network, you will need to alter your local IRC configuration file (typically named "ircd.conf") so that it will accept and make connections to other ircd servers. This file contains the hostnames, Network Addresses, and sometimes passwords for connections to other ircds around the world. Because description of the actual file format of the "ircd.conf" file is beyond the scope of this document, please refer to the file INSTALL in the IRC source files documentation directory.

BOOTING THE SERVER
The ircd server can be started as part of the Unix boot procedure or just by placing the server into Unix Background. Keep in mind that if it is not part of your Unix's boot-up procedure then you will have to manually start the ircd server each time your Unix is rebooted. This means if your Unix is prone to crashing or going for for repairs a lot it would make sense to start the ircd server as part of your UNIX bootup procedure.

EXAMPLE
    tolsun% bin/ircd

Places ircd into Unix background and starts up the server for use. Note: You do not have to add the "&" to this command, the program will automatically detach itself from tty.

EXAMPLE
    tolsun% bin/ircd --webconfig -b 192.168.0.1 -p 8181

Places ircd into Unix background and starts up the web configuration interface to enable the usage of a browser to configure the server.

COPYRIGHT
(c) 1988,1989 University of Oulu, Computing Center, Finland,

(c) 1988,1989 Department of Information Processing Science, University of Oulu, Finland

(c) 1988,1989,1990,1991 Jarkko Oikarinen

(c) 1997,1998,1999,2000,2001 The IRCD-Hybrid project.

(c) 2000,2001,2002,2003 The TR-IRCD project. For full COPYRIGHT see LICENSE file with IRC package.

FILES
 "ircd.conf"

SEE ALSO
ircd.conf(5)

BUGS
None... ;-) if somebody finds one, please inform author

AUTHOR
irc2.8 and earlier: Jarkko Oikarinen, currently jto@tolsun.oulu.fi.

ircd-hybrid-7: IRCD-Hybrid Project, ircd-hybrid@the-project.org.

tr-ircd5: TR-IRCD Project, tr-ircd@tr-ircd.net

manual page written by Jeff Trim, jtrim@orion.cair.du.edu, later modified by jto@tolsun.oulu.fi.

modified for ircd-hybrid-7 by Edward Brocklesby, ejb@klamath.uucp.leguin.org.uk.

updated by W. Campbell, wcampbel@botbay.net

tr-ircd update by tr-ircd@users.sf.net